Skip to main content
POST
/
payments
/
initiate-card-payment
cURL
curl --request POST \
  --url https://api.clickpesa.com/third-parties/payments/initiate-card-payment \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount": "<string>",
  "orderReference": "<string>",
  "currency": "USD",
  "customer": {
    "id": "<string>"
  },
  "checksum": "<string>"
}
'
import requests

url = "https://api.clickpesa.com/third-parties/payments/initiate-card-payment"

payload = {
"amount": "<string>",
"orderReference": "<string>",
"currency": "USD",
"customer": { "id": "<string>" },
"checksum": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: '<string>',
orderReference: '<string>',
currency: 'USD',
customer: {id: '<string>'},
checksum: '<string>'
})
};

fetch('https://api.clickpesa.com/third-parties/payments/initiate-card-payment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "cardPaymentLink": "<string>",
  "clientId": "<string>"
}
{}
{
"message": "Unauthorized"
}
{
"message": "Account has no payment collection methods"
}
{
"message": "Order reference {Your reference} already used: Create a different reference"
}
{
"message": "Error validating fee, try again later"
}

Authorizations

Authorization
string
header
required

Authorization header containing the JWT access token returned from the generate token endpoint. The token already includes the Bearer prefix. Example: Authorization: Bearer eyJhbGciOi...

Body

application/json
amount
string
required

Your payment amount

orderReference
string
required

Your unique Order reference

currency
enum<string>
required
Available options:
USD
customer
object
required

Customer

checksum
string

If enabled, this is the generated checksum of the payload. Refer to the documentation for more details.

Response

Initiate Card response

A link for a customer to complete payment

clientId
string

Application Client ID associated with the payment